> For the complete documentation index, see [llms.txt](https://docs.developer.singpass.gov.sg/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developer.singpass.gov.sg/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0/changelog/myinfo-business-support.md).

# Myinfo Business Support

Myinfo Business support is now available on [Corppass Authorization API (FAPI 2.0)](/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0.md). [Refer to getting started guide](/docs/singpass-developer-docs/corppass-and-myinfo-business/products/myinfo-business/getting-started.md)

New Myinfo Business-specific scopes and corresponding response structures are introduced to support retrieval of entity and user data.

New Myinfo Business integrations must be onboarded as Myinfo Business v3 applications, integrating with the Corppass Authorization API (FAPI 2.0). Existing services must migrate by 31 May 2027, after which legacy versions will be deprecated. [Refer to migration guide](/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0/migration-guides/migration-guide-myinfo-business-v1-v2-to-v3-fapi-2.0.md)

### Key Changes

#### Scopes

* New scopes are introduced to support access to Myinfo Business data:
  * Entity scopes (e.g., `entity.basic_profile.*`, `entity.address`, `entity.appointments.*`)
  * Person scopes (e.g., `user.employmentsector`, `user.passtype`)
  * Corppass scopes (e.g., `corppass.email`)
* The scopes are only available to [Myinfo Business](/docs/singpass-developer-docs/corppass-and-myinfo-business/products/myinfo-business.md) applications.
* Refer to [Myinfo Business Scopes](/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes.md) for more details.

#### Userinfo Endpoint

* Additional Myinfo Business data available on the Userinfo Endpoint:
  * `entity_info` for business-related information about the entity the user is transacting on behalf of.
  * `person_info` for personal information about the user acting on behalf of the entity.
  * `corppass_info` for information about the transacting user's Corppass account.
* Refer to [Userinfo Endpoint](/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0/integration-guide/4.-userinfo-endpoint.md) for more details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developer.singpass.gov.sg/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-fapi-2.0/changelog/myinfo-business-support.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
